## ros-eloquent-tf2 0.12.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(ament_cmake)
find_package(console_bridge_vendor REQUIRED) # Provides console_bridge 0.4.0 on platforms without it.
find_package(console_bridge REQUIRED)
find_package(geometry_msgs REQUIRED)

include_directories(include src/bt)

# export user definitions

#CPP Libraries
add_library(tf2 SHARED src/cache.cpp src/buffer_core.cpp src/static_cache.cpp src/time.cpp)
ament_target_dependencies(tf2
  "console_bridge"
  "geometry_msgs"
)
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(tf2 PRIVATE "TF2_BUILDING_DLL")

install(TARGETS tf2
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
)

# Tests
if(BUILD_TESTING)
  # TODO(tfoote) enable linters
  # find_package(ament_lint_auto REQUIRED)
  # ament_lint_auto_find_test_dependencies()
  find_package(ament_cmake_gtest)

  ament_add_gtest(test_cache_unittest test/cache_unittest.cpp)
  if(TARGET test_cache_unittest)
    target_link_libraries(test_cache_unittest tf2)
    ament_target_dependencies(test_cache_unittest
      "geometry_msgs"
      "console_bridge"
    )
  endif()

  ament_add_gtest(test_static_cache_unittest test/static_cache_test.cpp)
  if(TARGET test_static_cache_unittest)
    target_link_libraries(test_static_cache_unittest tf2)
    ament_target_dependencies(test_static_cache_unittest
      "geometry_msgs"
      "console_bridge"
    )
    target_link_libraries(test_static_cache_unittest tf2 ${geometry_msgs_LIBRARIES} ${console_bridge_LIBRARIES})
  endif()

  ament_add_gtest(test_simple test/simple_tf2_core.cpp)
  if(TARGET test_simple)
    target_link_libraries(test_simple tf2)
    ament_target_dependencies(test_simple
      "geometry_msgs"
      "console_bridge"
    )
  endif()

# TODO(tfoote) reimplement speed test without dependency on message datatypes.
# add_executable(speed_test EXCLUDE_FROM_ALL test/speed_test.cpp)
# target_link_libraries(speed_test tf2  ${geometry_msgs_LIBRARIES} ${console_bridge_LIBRARIES})
# add_dependencies(tests speed_test)

endif()

ament_export_dependencies(console_bridge)
ament_export_include_directories(include)
ament_export_libraries(tf2)
ament_package()

=== debian/changelog ===
ros-eloquent-tf2 (0.12.6-1bionic) bionic; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>) (#331 <https://github.com/ros2/geometry2/issues/331>)
  * tf2 add windows cmath constants (#217 <https://github.com/ros2/geometry2/issues/217>) (#220 <https://github.com/ros2/geometry2/issues/220>)
  * Contributors: Alejandro Hernández Cordero

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-tf2 (0.12.5-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 17 Jan 2020 06:00:00 -0000

ros-eloquent-tf2 (0.12.4-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-eloquent-tf2 (0.12.3-1bionic) bionic; urgency=high

  * Provide more available error messaging for nonexistent and invalid frames in canTransform (#187 <https://github.com/ros2/geometry2/issues/187>)
  * Contributors: Emerson Knapp

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 Nov 2019 06:00:00 -0000

ros-eloquent-tf2 (0.12.2-1bionic) bionic; urgency=high

  * Fix up -Wcast-qual warning (#193 <https://github.com/ros2/geometry2/issues/193>) (#197 <https://github.com/ros2/geometry2/issues/197>)
  * Contributors: Chris Lalancette

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 Nov 2019 06:00:00 -0000

ros-eloquent-tf2 (0.12.1-1bionic) bionic; urgency=high

  * Overwrite TimeCacheInterface type with a current input (#151 <https://github.com/ros2/geometry2/issues/151>)
  * [tf2] Use ament_target_dependencies where possible
  * Restore conversion via message traits (#167 <https://github.com/ros2/geometry2/issues/167>)
  * Contributors: Jacob Perron, Michael Carroll, Vinnam Kim

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-tf2 (0.12.0-1bionic) bionic; urgency=high

  * Add pure virtual interface tf2::BufferCoreInterface
  * Guard against invalid iterator (#127 <https://github.com/ros2/geometry2/issues/127>)
  * Contributors: Jacob Perron

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-tf2 (0.11.3-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 24 May 2019 05:00:00 -0000

ros-eloquent-tf2 (0.11.2-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-tf2 (0.11.1-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 09 May 2019 05:00:00 -0000

ros-eloquent-tf2 (0.11.0-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-eloquent-tf2 (0.10.1-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-eloquent-tf2 (0.10.0-1bionic) bionic; urgency=high

  * Merge pull request #65 <https://github.com/ros2/geometry2/issues/65> from bsinno/bugfix/fix_identity_transform_behaviour
    Fix bug in lookupTransform()
  * Fix lookupTransform() behaviour when transforming from a frame to itself
  * revert now unnecessary message initializations (#64 <https://github.com/ros2/geometry2/issues/64>)
  * use console_bridge_vendor (#63 <https://github.com/ros2/geometry2/issues/63>)
  * Contributors: Alessandro Bottero, Mikael Arguedas, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 22 Nov 2018 06:00:00 -0000

ros-eloquent-tf2 (0.5.15-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 06:00:00 -0000

ros-eloquent-tf2 (0.5.14-1bionic) bionic; urgency=high

  * fixes #194 <https://github.com/ros/geometry2/issues/194> check for quaternion normalization before inserting into storage (#196 <https://github.com/ros/geometry2/issues/196>)
    * check for quaternion normalization before inserting into storage
    * Add test to check for transform failure on invalid quaternion input
  * updating getAngleShortestPath() (#187 <https://github.com/ros/geometry2/issues/187>)
  * Move internal cache functions into a namespace
    Fixes https://github.com/ros/geometry2/issues/175
  * Link properly to convert.h
  * Landing page for tf2 describing the conversion interface
  * Fix comment on BufferCore::MAX_GRAPH_DEPTH.
  * Contributors: Jackie Kay, Phil Osteen, Tully Foote, alex, gavanderhoorn

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 16 Jan 2017 06:00:00 -0000

ros-eloquent-tf2 (0.5.13-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-eloquent-tf2 (0.5.12-1bionic) bionic; urgency=high

  * add utilities to get yaw, pitch, roll and identity transform
  * provide more conversions between types
    The previous conversion always assumed that it was converting a
    non-message type to a non-message type. Now, one, both or none
    can be a message or a non-message.
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2015 05:00:00 -0000

ros-eloquent-tf2 (0.5.11-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 22 Apr 2015 05:00:00 -0000

ros-eloquent-tf2 (0.5.10-1bionic) bionic; urgency=high

  * move lct_cache into function local memoryfor #92 <https://github.com/ros/geometry_experimental/issues/92>
  * Clean up range checking. Re: #92 <https://github.com/ros/geometry_experimental/issues/92>
  * Fixed chainToVector
  * release lock before possibly invoking user callbacks. Fixes #91 <https://github.com/ros/geometry_experimental/issues/91>
  * Contributors: Jackie Kay, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 05:00:00 -0000

ros-eloquent-tf2 (0.5.9-1bionic) bionic; urgency=high

  * fixing edge case where two no frame id lookups matched in getLatestCommonTime
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 05:00:00 -0000

ros-eloquent-tf2 (0.5.8-1bionic) bionic; urgency=high



=== debian/control ===
Source: ros-eloquent-tf2
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libconsole-bridge-dev, ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-console-bridge-vendor, ros-eloquent-geometry-msgs, ros-eloquent-ros-workspace
Homepage: http://www.ros.org/wiki/tf2
Standards-Version: 3.9.2

Package: ros-eloquent-tf2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconsole-bridge-dev, ros-eloquent-console-bridge-vendor, ros-eloquent-geometry-msgs, ros-eloquent-ros-workspace
Description: tf2 is the second generation of the transform library, which lets the user keep track of multiple coordinate frames over time.
 tf2 maintains the relationship between coordinate frames in a tree structure buffered in time, and lets the user transform points, vectors, etc between any two coordinate frames at any desired point in time.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent" \
		-DCMAKE_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-tf2//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
